#!/bin/bash

set -e

if [ -d "${PWD}/deploy" ]; then
  SCRIPT_DIR="${PWD}/deploy"
else
  SCRIPT_DIR="${PWD}"
fi

echo "============Data Cleaner Module for savings plan allocation in environment: $ENVIRONMENT============"
echo "JAVA_MEMORY_ARGS=$JAVA_MEMORY_ARGS"

CONF_FILE_NAME="application.conf"
if [ ! "x${SPR_CONFIGURATION_FILE}" = "x" ] ; then
  export CONF_FILE_NAME="${SPR_CONFIGURATION_FILE}"
fi

EXTRA_JVM_ARGS="-Dconfig.resource=${CONF_FILE_NAME}"
echo "using extra java options $EXTRA_JVM_ARGS"

TZ=UTC java $JAVA_MEMORY_ARGS $EXTRA_JVM_ARGS -XX:+PrintGCTimeStamps -XshowSettings:vm -cp "${SCRIPT_DIR}/cht-sp-allocation-scheduler-1.0.jar" com.cloudhealthtech.savingsplan.scheduler.SprDataCleaningApp "$@"

status=$?

echo "$(date): jvm exited with status code ${status}"
exit ${status}